Bug 1010237 - session-migration: attempt to get a running process instance fails on strategy not found
session-migration: attempt to get a running process instance fails on strateg...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 6.0.0
Assigned To: Maciej Swiderski
Marek Baluch
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 06:46 EDT by Marek Baluch
Modified: 2014-08-06 16:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:08:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
process definition (9.36 KB, application/xml)
2013-09-20 06:47 EDT, Marek Baluch
no flags Details
log (3.88 KB, text/x-log)
2013-09-24 13:25 EDT, Marek Baluch
no flags Details

  None (edit)
Description Marek Baluch 2013-09-20 06:46:21 EDT
Description of problem:

The following code fails with 'No strategy of type org.drools.marshalling.impl.SerializablePlaceholderResolverStrategy available.'

KieSession ksession = restoreKnowledgeSession(sinfo.getSessionId(), "BPMN2-RepeatingTimer.bpmn2");
		ProcessInstance pi = ksession.getProcessInstance(sinfo.getProcessInstanceIds().get(0));
		Assert.assertNotNull(pi);
		Assert.assertTrue(pi.getState() == ProcessInstance.STATE_ACTIVE);

The change to org.drools.core.marshalling.impl.SerializablePlaceholderResolverStrategy might be required on more places. See attached log.
Comment 1 Marek Baluch 2013-09-20 06:47:47 EDT
Created attachment 800427 [details]
process definition
Comment 2 Maciej Swiderski 2013-09-24 12:09:50 EDT
Marek, could you please attach the log that you mentioned in the description? I can only see the process definition. Would be nice to see the actual code you use for that. Is there any repo where I can take a look at how you test the migration between 5 and 6?
Comment 3 Marek Baluch 2013-09-24 13:17:45 EDT
Hi Maciej,

argh I forgot to attach the log :(. Will correct that ASAP. In mean time here's the repo:

http://git.app.eng.bos.redhat.com/?p=jbossqe/brms.git;a=tree;f=test-jbpm-session-migration;h=c135fc10bce3a6bc7e08b00538407da39f7debcc;hb=refs/heads/master

Store part is made in from_5.3.x/.../StoreSessionTest.timerTest() and the load part is made in to_6.x/.../LoadSessionTest.timerTest()
Comment 4 Marek Baluch 2013-09-24 13:25:04 EDT
Created attachment 802373 [details]
log
Comment 6 Marek Baluch 2013-10-18 06:32:28 EDT
Verified on ER4.

Note You need to log in before you can comment on or make changes to this bug.